from django.contrib import admin
from django.utils.translation import ugettext as _
from figurines.models import Figurine
from figurines.models import Set


class FigurineAdmin(admin.ModelAdmin):
    list_display = ('name', 'kind', 'achievement', 'coins', 'collection')
    fieldsets = [(_('Information'), {
        'fields': [('name', 'kind', 'collection')]
    }), (_('Progress'), {
        'fields': [('achievement', 'achievement_max', 'coins')]
    }), ('', {
        'fields': [('wish')]
    })]
    list_filter = ('collection', 'kind')
    search_fields = ('name', )


class SetAdmin(admin.ModelAdmin):
    list_display = ('shortname', 'name')


admin.site.register(Set, SetAdmin)
admin.site.register(Figurine, FigurineAdmin)
